> For the complete documentation index, see [llms.txt](https://docs.ibexa.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ibexa.ai/developers/rest-api/triggers/list-trigger-definitions.md).

# List Trigger Definitions

List all available trigger definitions aggregated from every source.

```json
{"openapi":"3.1.0","info":{"title":"Ibexa Agentic Marketing Platform","version":"0.1.0"},"security":[{"OAuth2PasswordBearer":[]}],"components":{"securitySchemes":{"OAuth2PasswordBearer":{"type":"oauth2","flows":{"password":{"scopes":{},"tokenUrl":"/api/v1/login/access-token"}}}},"schemas":{"TriggerDefinitionListResponseSchema":{"properties":{"definitions":{"items":{"$ref":"#/components/schemas/TriggerDefinitionResponseSchema"},"type":"array","title":"Definitions"},"total_count":{"type":"integer","title":"Total Count"}},"type":"object","required":["definitions","total_count"],"title":"TriggerDefinitionListResponseSchema","description":"Pydantic schema for the trigger definition list response."},"TriggerDefinitionResponseSchema":{"properties":{"id":{"type":"string","format":"uuid","title":"Id"},"source_id":{"type":"string","format":"uuid","title":"Source Id"},"label":{"type":"string","title":"Label"},"description":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Description"},"icon_url":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Icon Url"},"categories":{"items":{"type":"string","format":"uuid"},"type":"array","title":"Categories"},"config_schema":{"additionalProperties":true,"type":"object","title":"Config Schema"}},"type":"object","required":["id","source_id","label","description","icon_url","categories","config_schema"],"title":"TriggerDefinitionResponseSchema","description":"Pydantic schema for a trigger definition list item."}}},"paths":{"/api/v1/triggers/definitions":{"get":{"tags":["triggers","public"],"summary":"List Trigger Definitions","description":"List all available trigger definitions aggregated from every source.","operationId":"triggers-list_trigger_definitions","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TriggerDefinitionListResponseSchema"}}}},"401":{"description":"User not authenticated","content":{"application/json":{}}}}}}}}
```
